Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
placement_group = client.cloud.placement_groups.get(
group_id="47003067-550a-6f17-93b6-81ee16ba061e",
project_id=1,
region_id=1,
)
print(placement_group.project_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
placementGroup, err := client.Cloud.PlacementGroups.Get(
context.TODO(),
"47003067-550a-6f17-93b6-81ee16ba061e",
cloud.PlacementGroupGetParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", placementGroup.ProjectID)
}
curl --request GET \
--url https://api.gcore.com/cloud/v1/servergroups/{project_id}/{region_id}/{group_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/servergroups/{project_id}/{region_id}/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instances": [
{
"instance_id": "6d14f194-6c1e-49b3-9fc7-50dc8401eb74",
"instance_name": "my-instance-1"
},
{
"instance_id": "142988bb-291e-4862-bffb-b1cf20036c27",
"instance_name": "my-instance-2"
}
],
"name": "my-server-group",
"policy": "anti-affinity",
"project_id": 1337,
"region": "Luxembourg 1",
"region_id": 7,
"servergroup_id": "47003067-550a-6f17-93b6-81ee16ba061e"
}Placement Groups
Get placement group
Retrieve a single placement group by its ID.
GET
/
cloud
/
v1
/
servergroups
/
{project_id}
/
{region_id}
/
{group_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
placement_group = client.cloud.placement_groups.get(
group_id="47003067-550a-6f17-93b6-81ee16ba061e",
project_id=1,
region_id=1,
)
print(placement_group.project_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
placementGroup, err := client.Cloud.PlacementGroups.Get(
context.TODO(),
"47003067-550a-6f17-93b6-81ee16ba061e",
cloud.PlacementGroupGetParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", placementGroup.ProjectID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
The ID of the server group.
Example:
"47003067-550a-6f17-93b6-81ee16ba061e"
Response
200 - application/json
OK
The list of instances in this server group.
Show child attributes
Show child attributes
Example:
[
{
"instance_id": "6d14f194-6c1e-49b3-9fc7-50dc8401eb74",
"instance_name": "my-instance-1"
},
{
"instance_id": "142988bb-291e-4862-bffb-b1cf20036c27",
"instance_name": "my-instance-2"
}
]
The name of the server group.
Example:
"my-server-group"
The server group policy. Options are: anti-affinity, affinity, or soft-anti-affinity.
Example:
"anti-affinity"
Project ID
Example:
1337
Region name
Example:
"Luxembourg 1"
Region ID
Example:
7
The ID of the server group.
Example:
"47003067-550a-6f17-93b6-81ee16ba061e"
Was this page helpful?